Skip to main content
POST
Refresh login_identity_token

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json

The refresh token

refresh_token
string
required

Login Identity refresh token (referred to as login_identity_refresh_token) generated during the initial linking session (e.g. POST /auth/token) or during a subsequent token refresh request (POST /auth/token/refresh). Note: this request invalidates the refresh_token submitted. Use the refresh_token returned in the response for subsequent refresh requests.

Response

New refresh, access token

access_token
string
required

(SENSITIVE) Login Identity access token (referred to as login_identity_token).

expires_in
integer<int64>
required

Access token validity length (in seconds).

issued_at
string<date-time>
required

Access token issue time

login_identity_id
string
required

Finverse Login Identity ID for this Login Identity. Always unique. Linking the same account at the same institution twice will result in two Login Identities with different IDs (use Refresh/Relink methods to refresh data for a Login Identity without updating the ID).

refresh_token
string
required

(SENSITIVE) Login Identity refresh token (referred to as login_identityrefresh_token)

token_type
string
required

Possible values: Bearer